# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "karty"
version = "0.1.1"
description = "Implementation playing cards"
readme = "README.md"
keywords = [
    "game",
    "card",
    "52",
    "deck",
]
categories = ["games"]
license-file = "LICENSE"
repository = "https://github.com/moroviintaas/karty"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[dependencies.approx]
version = "0.5.1"

[dependencies.array2d]
version = "0.3.2"
optional = true

[dependencies.comparator]
version = "0.3.0"

[dependencies.itertools]
version = "0.12.0"

[dependencies.karty_proc_macro]
version = "0.1.0"

[dependencies.nom]
version = "7.1.3"
optional = true

[dependencies.num-integer]
version = "0.1.45"

[dependencies.postcard]
version = "1.0.8"
optional = true

[dependencies.rand]
version = "0.8.5"
optional = true

[dependencies.ron]
version = "0.8.1"
optional = true

[dependencies.serde]
version = "1.0.195"
features = ["derive"]
optional = true

[dependencies.serde-big-array]
version = "0.5.1"

[dependencies.serde_json]
version = "1.0.111"
optional = true

[dependencies.smallvec]
version = "1.11.2"

[dependencies.speedy]
version = "0.8.6"
optional = true

[dependencies.thiserror]
version = "1.0.56"

[features]
fuzzy = []
parse = ["dep:nom"]
random = ["dep:rand"]
register = ["dep:array2d"]
serde = [
    "dep:serde",
    "serde_ron",
    "parse",
]
serde_postcard = [
    "dep:serde",
    "dep:postcard",
    "serde",
]
serde_ron = [
    "dep:serde",
    "dep:ron",
]
speedy = ["dep:speedy"]
